Как получить последнюю версию Flash на Firefox для Linux после отказа от Adobe

  1. Adobe считает, что вы должны использовать Chrome в Linux
  2. Свежий плагин Player на помощь

Mozilla перестанет поддерживать большинство плагинов для браузера в Firefox к концу 2016 года , Но для пользователей Linux это не будет иметь большого значения для одного из самых больших плагинов в мире браузеров - Adobe Flash.

Вы можете не знать это, но Adobe отказался от поддержки Flash в Firefox в Linux в 2012 году. Не бойтесь: обертка с открытым исходным кодом позволяет Firefox использовать свежий Flash-код, который Adobe до сих пор выкачивает для других браузеров.

Хотите быть в курсе Linux, BSD, Chrome OS и всего остального мира за пределами Windows? Добавьте в закладки Страница «Мир за пределами Windows» или следовать наш канал RSS ,

Adobe считает, что вы должны использовать Chrome в Linux

Mozilla объявила о планах прекратить поддержку большинства плагинов NPAPI в Firefox к концу 2016 года. Но они по-прежнему будут поддерживать Flash, потому что это, к сожалению, значительная часть Интернета.

Тем не менее, если вы используете Firefox в Linux, ваш Flash Player уже годы устарели , Adobe прекратила поддерживать версию NPAPI Flash в Linux назад в 2012 и теперь обновляет его только исправлениями безопасности - и даже они будут заканчиваться 4 мая 2017 года, через пять лет после даты выпуска последней поддерживаемой версии. Adobe указывает пользователям Linux на эту версию Flash для Pepper (PPAPI), которая включена в Chrome и может быть установлена ​​в Chromium и Opera.

Mozilla перестанет поддерживать   большинство плагинов для браузера в Firefox к концу 2016 года   ,  Но для пользователей Linux это не будет иметь большого значения для одного из самых больших плагинов в мире браузеров - Adobe Flash

Устаревший Flash 11 доступен в официальных репозиториях.

Но Мозилла не хочет поддерживать Пеппер. Лучше попытаться использовать новые веб-стандарты, чем создавать новые фреймворки для плагинов старого стиля. Это оставляет пользователей Firefox в Linux с Flash 11.2, в то время как другие платформы, в том числе Chrome и Chromium, уже используют Flash 19. Хотите последнюю версию Flash для Linux? Переключитесь на Chrome, Chromium или Opera. Это линия вечеринки Adobe.

На самом деле, мы должны быть счастливы, что это даже вариант, так как У Adobe не было большой любви к Linux в общем. Этот код PPAPI-on-Linux используется, когда проигрыватель Flash работает на Google Chrome OS на базе Linux, поэтому Adobe не может позволить себе использовать Chrome в Linux.

Свежий плагин Player на помощь

Если вам нужна последняя версия Flash в Firefox, сообщество Linux пришло на помощь. Fresh Player Plugin - это уровень совместимости PPAPI-to-NPAPI с открытым исходным кодом. По сути, это способ использовать последнюю версию Pepper Flash для Linux в Firefox на Linux. Он может даже использовать аппаратное ускорение декодирования видео в последних дистрибутивах Linux, включая Ubuntu 14.10 и 15.04.

Плагин Fresh Player находится в разработке уже более года, и он должен быть достаточно стабильным для большинства людей. Однако он не реализует никакой изолированной среды, что означает, что все эти преимущества безопасности изолированной среды Pepper недоступны для пользователей Firefox, так что будьте осторожны. По-прежнему безопаснее всего запускать последнюю версию Flash в браузере на основе Chromium, например Chrome, Chromium или Opera.

Adobe Flash 19 в Firefox для Linux, предоставлен плагином Fresh Player.

Вы можете выбрать для компиляции Fresh Player Plugin из источника со свободно доступным кодом, но люди в WebUpd8 блог, посвященный Ubuntu, предоставьте его в PPA так что вы можете легко установить его на Ubuntu. Это легко сделать - просто откройте терминал и выполните следующие команды по порядку:

sudo add-apt-repository ppa: nilarimogard / webupd8

sudo apt-get update

sudo apt-get установить freshplayerplugin

Теперь у вас установлен слой совместимости. Все, что вам нужно сделать, это установить Google Chrome и запустите его - он загрузит последнюю версию плагина Pepper. Когда вы запускаете Firefox, Firefox автоматически загружает плагин Fresh Player и проверяет каталог, в котором Chrome хранит свои плагины, и автоматически загружает его. Теперь у вас есть последняя версия Flash в Firefox для Linux.

Adobe Flash 19 в Firefox для Linux, предоставлен плагином Fresh Player.

Просто удалите пакет freshplayerplugin из любого инструмента управления программным обеспечением, если вы решите не использовать его.

Если Adobe откажется от обновлений безопасности для версии NPAPI Flash в Linux 4 мая 2017 года, не продвигаясь вперед для пользователей Linux, плагин Fresh Player станет единственным способом вообще использовать исправленную версию Flash в FIrefox для Linux. Хорошо, что это программное обеспечение разрабатывается, поскольку оно может стать очень важным в ближайшее время. Надеюсь, большинство из нас может просто сбросить Flash тогда.

Чтобы прокомментировать эту статью и другой контент PCWorld, посетите наш facebook страница или наш щебет кормить.